// 这是主 DLL 文件。

#include "stdafx.h"

#include "CheckList.h"
#include <iostream>
#include <string> 
#include <stdio.h>
#include <windows.h> 
#include <shellapi.h> 
#include <time.h>
#include <epm/epm_task_template_itk.h>
#include <tccore/aom_prop.h>


using namespace std; 
int hasFillInChechList(EPM_action_message_t msg)
{
	char* flagstring="";
	int retCode=0;
	printf("\n=======================现在开始==========================\n"); 
	retCode =  AOM_UIF_ask_value (msg.task,"ip_classification",&flagstring);//引用零组件版本下所有内容类型
	if (retCode != ITK_ok)
	{
		printf("获取标识属性失败\n");
		return retCode;
	}
	else
	{
		printf("\n=======================获取属性成功属性值是：%s==========================\n",flagstring);
	}
	if(strcmp(flagstring,"No")==0)
	{
		int retCode;
		//retCode= EMH_store_initial_error(EMH_severity_user_error,HASNT_FILLIN_CHECKLIST);
		//retCode= EMH_store_error(EMH_severity_user_error,HASNT_FILLIN_CHECKLIST );
		//retCode = EMH_clear_errors(  );
//		return HASNT_FILLIN_CHECKLIST;
		return 0;
	}
	else
	{
		return ITK_ok;
		
	}
}